## org.biojava.bio.structure
Class Compound

    java.lang.Object
      org.biojava.bio.structure.Compound

All Implemented Interfaces:
  Cloneable

    public class Compound

extends Object
implements Cloneable

Created by IntelliJ IDEA. User: jacobsen Date: 22-Jan-2007 Time: 18:14:25

Constructor Summary
`Compound()`

Method Summary
`void` `addChain(Chain chain)`
`Compound` `clone()`
`String` `getAtcc()`
`String` `getBiologicalUnit()`
`String` `getCell()`
`String` `getCellLine()`
`String` `getCellularLocation()`
`List<String>` `getChainId()` Returns the chain id value.
`List<Chain>` `getChains()` get the chains that are part of this Compound
`String` `getDetails()`
`List<String>` `getEcNums()`
`String` `getEngineered()`
`String` `getExpressionSystem()`
`String` `getExpressionSystemAtccNumber()`
`String` `getExpressionSystemCell()`
`String` `getExpressionSystemCellLine()`
`String` `getExpressionSystemCellularLocation()`
`String` `getExpressionSystemGene()`
`String` `getExpressionSystemOrgan()`
`String` `getExpressionSystemOrganelle()`
`String` `getExpressionSystemOtherDetails()`
`String` `getExpressionSystemPlasmid()`
`String` `getExpressionSystemStrain()`
`String` `getExpressionSystemTaxId()`
`String` `getExpressionSystemTissue()`
`String` `getExpressionSystemVariant()`
`String` `getExpressionSystemVector()`
`String` `getExpressionSystemVectorType()`
`String` `getFragment()`
`String` `getGene()`
`String` `getHeaderVars()`
`Long` `getId()` get the ID used by Hibernate
`String` `getMolId()` Returns the mol id value.
`String` `getMolName()`
`String` `getMutation()`
`String` `getNumRes()`
`String` `getOrgan()`
`String` `getOrganelle()`
`String` `getOrganismCommon()`
`String` `getOrganismScientific()`
`String` `getOrganismTaxId()`
`String` `getRefChainId()` Returns the ref chain id value.
`String` `getResNames()`
`String` `getSecretion()`
`String` `getStrain()`
`List<String>` `getSynonyms()`
`String` `getSynthetic()`
`String` `getTissue()`
`String` `getTitle()`
`String` `getVariant()`
`void` `setAtcc(String atcc)`
`void` `setBiologicalUnit(String biologicalUnit)`
`void` `setCell(String cell)`
`void` `setCellLine(String cellLine)`
`void` `setCellularLocation(String cellularLocation)`
`void` `setChainId(List<String> chainId)` Sets the list of chain IDs.
`void` `setChains(List<Chain> chains)`
`void` `setDetails(String details)`
`void` `setEcNums(List<String> ecNums)`
`void` `setEngineered(String engineered)`
`void` `setExpressionSystem(String expressionSystem)`
`void` `setExpressionSystemAtccNumber(String expressionSystemAtccNumber)`
`void` `setExpressionSystemCell(String expressionSystemCell)`
`void` `setExpressionSystemCellLine(String expressionSystemCellLine)`
`void` `setExpressionSystemCellularLocation(String expressionSystemCellularLocation)`
`void` `setExpressionSystemGene(String expressionSystemGene)`
`void` `setExpressionSystemOrgan(String expressionSystemOrgan)`
`void` `setExpressionSystemOrganelle(String expressionSystemOrganelle)`
`void` `setExpressionSystemOtherDetails(String expressionSystemOtherDetails)`
`void` `setExpressionSystemPlasmid(String expressionSystemPlasmid)`
`void` `setExpressionSystemStrain(String expressionSystemStrain)`
`void` `setExpressionSystemTaxId(String expressionSystemTaxId)`
`void` `setExpressionSystemTissue(String expressionSystemTissue)`
`void` `setExpressionSystemVariant(String expressionSystemVariant)`
`void` `setExpressionSystemVector(String expressionSystemVector)`
`void` `setExpressionSystemVectorType(String expressionSystemVectorType)`
`void` `setFragment(String fragment)`
`void` `setGene(String gene)`
`void` `setHeaderVars(String headerVars)`
`void` `setId(Long id)` set the ID used by Hibernate
`void` `setMolId(String molId)` Set the mol id value.
`void` `setMolName(String molName)`
`void` `setMutation(String mutation)`
`void` `setNumRes(String numRes)`
`void` `setOrgan(String organ)`
`void` `setOrganelle(String organelle)`
`void` `setOrganismCommon(String organismCommon)`
`void` `setOrganismScientific(String organismScientific)`
`void` `setOrganismTaxId(String organismTaxId)`
`void` `setRefChainId(String refChainId)` Returns the ref chain id value.
`void` `setResNames(String resNames)`
`void` `setSecretion(String secretion)`
`void` `setStrain(String strain)`
`void` `setSynonyms(List<String> synonyms)`
`void` `setSynthetic(String synthetic)`
`void` `setTissue(String tissue)`
`void` `setTitle(String title)`
`void` `setVariant(String variant)`
`void` `showCompound()`
`void` `showHeader()` Print some debug statements to System.out
`void` `showSource()`
`String` `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Compound

    public Compound()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getId

    public Long getId()

  get the ID used by Hibernate

  Returns:
    the ID used by Hibernate

### setId

    public void setId(Long id)

  set the ID used by Hibernate

  Parameters:
    `id` -

### showHeader

    public void showHeader()

  Print some debug statements to System.out

### showCompound

    public void showCompound()

### showSource

    public void showSource()

### getChainId

    public List<String> getChainId()

  Returns the chain id value.

  Returns:
    the list of ChainIDs that are described by this Compound
  See Also:
    `setChainId(List)`

### setChainId

    public void setChainId(List<String> chainId)

  Sets the list of chain IDs.

  Parameters:
    `chainId` - the list of ChainIDs that are described by this Compound
  See Also:
    `getChainId()`

### getRefChainId

    public String getRefChainId()

  Returns the ref chain id value.

  Returns:
    the RefChainID
  See Also:
    `setRefChainId(String)`

### setRefChainId

    public void setRefChainId(String refChainId)

  Returns the ref chain id value.

  Parameters:
    `refChainId` - the RefChainID
  See Also:
    `getRefChainId()`

### getMolId

    public String getMolId()

  Returns the mol id value.

  Returns:
    the MolId value
  See Also:
    `setMolId(String)`

### setMolId

    public void setMolId(String molId)

  Set the mol id value.

  Parameters:
    `molId` - the MolId value
  See Also:
    `getMolId()`

### getMolName

    public String getMolName()

### setMolName

    public void setMolName(String molName)

### getTitle

    public String getTitle()

### setTitle

    public void setTitle(String title)

### getSynonyms

    public List<String> getSynonyms()

### setSynonyms

    public void setSynonyms(List<String> synonyms)

### getEcNums

    public List<String> getEcNums()

### setEcNums

    public void setEcNums(List<String> ecNums)

### getEngineered

    public String getEngineered()

### setEngineered

    public void setEngineered(String engineered)

### getMutation

    public String getMutation()

### setMutation

    public void setMutation(String mutation)

### getBiologicalUnit

    public String getBiologicalUnit()

### setBiologicalUnit

    public void setBiologicalUnit(String biologicalUnit)

### getDetails

    public String getDetails()

### setDetails

    public void setDetails(String details)

### getNumRes

    public String getNumRes()

### setNumRes

    public void setNumRes(String numRes)

### getResNames

    public String getResNames()

### setResNames

    public void setResNames(String resNames)

### getHeaderVars

    public String getHeaderVars()

### setHeaderVars

    public void setHeaderVars(String headerVars)

### getSynthetic

    public String getSynthetic()

### setSynthetic

    public void setSynthetic(String synthetic)

### getFragment

    public String getFragment()

### setFragment

    public void setFragment(String fragment)

### getOrganismScientific

    public String getOrganismScientific()

### setOrganismScientific

    public void setOrganismScientific(String organismScientific)

### getOrganismTaxId

    public String getOrganismTaxId()

### setOrganismTaxId

    public void setOrganismTaxId(String organismTaxId)

### getOrganismCommon

    public String getOrganismCommon()

### setOrganismCommon

    public void setOrganismCommon(String organismCommon)

### getStrain

    public String getStrain()

### setStrain

    public void setStrain(String strain)

### getVariant

    public String getVariant()

### setVariant

    public void setVariant(String variant)

### getCellLine

    public String getCellLine()

### setCellLine

    public void setCellLine(String cellLine)

### getAtcc

    public String getAtcc()

### setAtcc

    public void setAtcc(String atcc)

### getOrgan

    public String getOrgan()

### setOrgan

    public void setOrgan(String organ)

### getTissue

    public String getTissue()

### setTissue

    public void setTissue(String tissue)

### getCell

    public String getCell()

### setCell

    public void setCell(String cell)

### getOrganelle

    public String getOrganelle()

### setOrganelle

    public void setOrganelle(String organelle)

### getSecretion

    public String getSecretion()

### setSecretion

    public void setSecretion(String secretion)

### getGene

    public String getGene()

### setGene

    public void setGene(String gene)

### getCellularLocation

    public String getCellularLocation()

### setCellularLocation

    public void setCellularLocation(String cellularLocation)

### getExpressionSystem

    public String getExpressionSystem()

### getExpressionSystemTaxId

    public String getExpressionSystemTaxId()

### setExpressionSystemTaxId

    public void setExpressionSystemTaxId(String expressionSystemTaxId)

### setExpressionSystem

    public void setExpressionSystem(String expressionSystem)

### getExpressionSystemStrain

    public String getExpressionSystemStrain()

### setExpressionSystemStrain

    public void setExpressionSystemStrain(String expressionSystemStrain)

### getExpressionSystemVariant

    public String getExpressionSystemVariant()

### setExpressionSystemVariant

    public void setExpressionSystemVariant(String expressionSystemVariant)

### getExpressionSystemCellLine

    public String getExpressionSystemCellLine()

### setExpressionSystemCellLine

    public void setExpressionSystemCellLine(String expressionSystemCellLine)

### getExpressionSystemAtccNumber

    public String getExpressionSystemAtccNumber()

### setExpressionSystemAtccNumber

    public void setExpressionSystemAtccNumber(String expressionSystemAtccNumber)

### getExpressionSystemOrgan

    public String getExpressionSystemOrgan()

### setExpressionSystemOrgan

    public void setExpressionSystemOrgan(String expressionSystemOrgan)

### getExpressionSystemTissue

    public String getExpressionSystemTissue()

### setExpressionSystemTissue

    public void setExpressionSystemTissue(String expressionSystemTissue)

### getExpressionSystemCell

    public String getExpressionSystemCell()

### setExpressionSystemCell

    public void setExpressionSystemCell(String expressionSystemCell)

### getExpressionSystemOrganelle

    public String getExpressionSystemOrganelle()

### setExpressionSystemOrganelle

    public void setExpressionSystemOrganelle(String expressionSystemOrganelle)

### getExpressionSystemCellularLocation

    public String getExpressionSystemCellularLocation()

### setExpressionSystemCellularLocation

    public void setExpressionSystemCellularLocation(String expressionSystemCellularLocation)

### getExpressionSystemVectorType

    public String getExpressionSystemVectorType()

### setExpressionSystemVectorType

    public void setExpressionSystemVectorType(String expressionSystemVectorType)

### getExpressionSystemVector

    public String getExpressionSystemVector()

### setExpressionSystemVector

    public void setExpressionSystemVector(String expressionSystemVector)

### getExpressionSystemPlasmid

    public String getExpressionSystemPlasmid()

### setExpressionSystemPlasmid

    public void setExpressionSystemPlasmid(String expressionSystemPlasmid)

### getExpressionSystemGene

    public String getExpressionSystemGene()

### setExpressionSystemGene

    public void setExpressionSystemGene(String expressionSystemGene)

### getExpressionSystemOtherDetails

    public String getExpressionSystemOtherDetails()

### setExpressionSystemOtherDetails

    public void setExpressionSystemOtherDetails(String expressionSystemOtherDetails)

### clone

    public Compound clone()
                   throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

### getChains

    public List<Chain> getChains()

  get the chains that are part of this Compound

  Returns:
    a List of Chain objects

### addChain

    public void addChain(Chain chain)

### setChains

    public void setChains(List<Chain> chains)